package com.sinosig.web.external.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[机构]
 */
public class ORG implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 机构标识
     */
    private String ORGId;

    @JsonIgnore
    private boolean ORGIdDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 机构名称
     */
    private String ORGName;

    @JsonIgnore
    private boolean ORGNameDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * 父机构名称
     */
    private String Porgname;

    @JsonIgnore
    private boolean PorgnameDirtyFlag;
    /**
     * 父机构标识
     */
    private String Porgid;

    @JsonIgnore
    private boolean PorgidDirtyFlag;

    /**
     * 获取 [机构标识]
     */
    @JsonProperty("orgid")
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 [机构标识]
     */
    @JsonProperty("orgid")
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }

    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return this.ORGIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [机构名称]
     */
    @JsonProperty("orgname")
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 [机构名称]
     */
    @JsonProperty("orgname")
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }

    /**
     * 获取 [机构名称]脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return this.ORGNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [父机构名称]
     */
    @JsonProperty("porgname")
    public String getPorgname(){
        return Porgname ;
    }

    /**
     * 设置 [父机构名称]
     */
    @JsonProperty("porgname")
    public void setPorgname(String  porgname){
        this.Porgname = porgname ;
        this.PorgnameDirtyFlag = true ;
    }

    /**
     * 获取 [父机构名称]脏标记
     */
    @JsonIgnore
    public boolean getPorgnameDirtyFlag(){
        return this.PorgnameDirtyFlag ;
    }

    /**
     * 获取 [父机构标识]
     */
    @JsonProperty("porgid")
    public String getPorgid(){
        return Porgid ;
    }

    /**
     * 设置 [父机构标识]
     */
    @JsonProperty("porgid")
    public void setPorgid(String  porgid){
        this.Porgid = porgid ;
        this.PorgidDirtyFlag = true ;
    }

    /**
     * 获取 [父机构标识]脏标记
     */
    @JsonIgnore
    public boolean getPorgidDirtyFlag(){
        return this.PorgidDirtyFlag ;
    }



}
